:root {
  --body-bg-color: #cccccc;
  --body-text-color: #222222;
  --heading-color: #c33116;
  --hero-gradient1: #168295;
  --hero-gradient2: #0b5e3a;
  --footer-bg-color: #0d0d0d;
  --link-color: #5568c4;
  --header-bg-color: #ffffff;
  --font-family: system-ui;
  --nav-link-color: #141414;
  --footer-text-color: #ffffff;
  --header-text-color: #ffffffff;
}
html {
  overflow-x: hidden;
}
body {
  background-color: var(--body-bg-color);
  color: var(--body-text-color) !important;
  font-family: var(--font-family);
  line-height: 1.6;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  margin-bottom: 25px;
}

h1 {
  font-size: clamp(2rem, 4vw, 2.5rem) !important;
}
h2 {
  font-size: clamp(1.6rem, 3vw, 2rem) !important;
}
h3 {
  font-size: clamp(1.4rem, 3vw, 1.7rem) !important;
}
p {
  margin-bottom: 0.5rem !important;
}

section {
  padding: 15px 0;
  scroll-margin-top: 70px;
}

h2,
h3 {
  color: var(--heading-color) !important;
}

.content-area a {
  color: var(--link-color) !important;
  text-decoration: none !important;
}

.content-area a:hover {
  color: var(--link-color) !important;
  opacity: 0.8;
}

.error_page {
  min-height: 70vh;
}

.footer {
  background-color: var(--footer-bg-color);
  color: var(--footer-text-color);
}

.footer a {
  text-decoration: none;
  color: var(--link-color) !important;
}

.hero-section {
  padding: 55px 0;
  position: relative;
  overflow: hidden;
  color: var(--header-text-color);
  box-shadow: 0 6px 12px rgba(0, 0, 0, 0.246);
}

.hero-section.gradient-bg {
  background: linear-gradient(
    135deg,
    var(--hero-gradient1),
    var(--hero-gradient2)
  );
}

.hero-section .container {
  position: relative;
  z-index: 2;
}

@media (max-width: 768px) {
  .hero-section {
    padding: 60px 0;
  }
}
.navbar-light .navbar-nav .nav-link {
  color: var(--nav-link-color, #141414) !important;
  font-weight: 500;
  padding: 0 1rem;
  transition:
    color 0.3s ease,
    transform 0.2s ease;
}
.navbar-light .navbar-nav .nav-link:hover {
  color: var(--link-color) !important;
  transform: translateY(-1px);
}
.navbar-light .navbar-nav .nav-link.active {
  color: var(--link-color) !important;
  font-weight: 600;
  border-bottom: 2px solid var(--link-color);
}

/* Mobile nav */
@media (max-width: 1199.98px) {
  .navbar-collapse {
    position: fixed;
    top: 61px;
    left: 15px;
    right: 15px;
    background-color: color-mix(
      in srgb,
      var(--header-bg-color) 65%,
      transparent
    );
    backdrop-filter: blur(12px);
    border-radius: 12px;
    box-shadow: 0 15px 40px rgba(0, 0, 0, 0.15);
    z-index: 9999;
    padding: 15px;
    margin: 0;
  }

  .navbar-nav {
    width: 100%;
  }

  .navbar-nav .nav-item {
    margin: 7px 0;
  }

  .navbar-nav .nav-item:hover {
    transform: translateY(-1px);
  }

  .navbar-nav .nav-link {
    font-size: 1.2rem;
    font-weight: 500;
    text-decoration: none;
    display: block;
    padding: 0;
  }

  .navbar-toggler {
    z-index: 10000;
    position: relative;
    border: var(--bs-border-width) solid var(--nav-link-color, #141414) !important;
  }
}

.custom-dropdown {
  border: 0;
  box-shadow: 0 10px 40px rgba(0, 0, 0, 0.15);
  border-radius: 12px;
  padding: 0.5rem 0;
  margin-top: 0.5rem;
  min-width: 220px;
  background: color-mix(
    in srgb,
    var(--header-bg-color) 65%,
    transparent
  ) !important;
  backdrop-filter: blur(12px);
}

.custom-dropdown .dropdown-item {
  padding: 0.75rem 1.5rem;
  transition: all 0.3s ease;
  color: var(--nav-link-color, #141414) !important;
  font-weight: 500;
  border-radius: 0;
  text-wrap: wrap;
}
.dropdown-menu {
  display: none;
}

.custom-dropdown .dropdown-item:hover {
  color: #fff;
  background: color-mix(
    in srgb,
    var(--header-bg-color) 95%,
    transparent
  ) !important;
}
.nav-item.dropdown > .nav-link {
  display: flex;
  align-items: center;
}

.nav-item.dropdown > .nav-link .arrow {
  position: relative;
  margin-left: auto;
  border: solid var(--nav-link-color, #141414);
  border-width: 0 2px 2px 0;
  padding: 3px;
  transform: rotate(45deg);
  transition: transform 0.25s;
}

.dropdown.open .dropdown-menu {
  display: block;
}

@media (min-width: 1200px) {
  .nav-item.dropdown {
    position: relative;
  }
  .nav-item.dropdown > .nav-link .arrow {
    margin-left: 7px;
  }
  .custom-dropdown.dropdown-menu {
    position: absolute;
    top: 100%;
    left: 0;
    margin-top: 0;
    z-index: 1000;
  }

  .nav-item.dropdown:hover > .nav-link .arrow {
    transform: rotate(-135deg);
  }
  .nav-item.dropdown:hover > .dropdown-menu {
    display: block !important;
  }
}
@media (max-width: 1199px) {
  .nav-item.dropdown > .nav-link .arrow {
    padding: 4px;
  }
}

main {
  background-color: white;
}
.navbar .container {
  background-color: white;
  padding-top: 11px;
  border-bottom: 5px solid black;
}
.navbar {
  padding: 0 !important;
}
.container,
.container-lg,
.container-md,
.container-sm,
.container-xl,
.container-xxl {
  max-width: 1100px;
}

.sidebar {
  background-color: #666666;
}
.sidebar-page-list li {
  text-decoration: none;
  color: black;
  background-color: #ffcc66;
  border-top-color: #ffdd88;
  border-right-color: #bb9933;
  border-bottom-color: #bb9933;
  border-left-color: #bb9933;
  border-style: solid;
  border-top-width: 1px;
  border-right-width: 3px;
  border-bottom-width: 3px;
  border-left-width: 1px;
  padding-left: 5px;
  padding-right: 5px;
  padding-top: 5px;
  padding-bottom: 5px;
  font-weight: normal;
  font-family: "Lucida Grande", Trebuchet, Arial, sans;
  font-size: 1.15em;
  line-height: 1.2em;
  display: block;
  margin-right: 1px;
  margin-bottom: 4px;
}

.sidebar-page-list li a {
  color: #0d0d0d;
  text-decoration: none;
  font-size: 0.9rem;
}
.sidebar-page-list {
  padding-left: 0;
}
.copy {
  margin-top: 15px;
  width: 100%;
  max-width: 100%;
  overflow-wrap: break-word;
  word-break: break-word;
  white-space: normal;
  font-size: 14px;
  line-height: 1.6;
  padding-bottom: 15px;
}

.copy p,
.copy span,
.copy a {
  display: block;
  width: 100%;
  overflow-wrap: break-word;
  word-break: break-word;
}

.copy a {
  text-decoration: none;
}

@media (max-width: 1000px) {
  .copy,
  .copy p,
  .copy span,
  .copy a {
    text-align: center !important;
  }
}

tr.even {
  display: table-row;
  background-color: #e6e6e6;
  border-style: solid;
  border-bottom: 1px;
  border-bottom-color: white;
  border-left-style: hidden;
  border-right-style: hidden;
}

tr.odd {
  display: table-row;
  border-style: solid;
  border-bottom-width: 1px;
  border-bottom-color: white;
  border-left-style: hidden;
  border-right-style: hidden;
}

td.meetingtable-td-topic {
  display: table-cell;
  vertical-align: top;
  width: 290px;
  padding-top: 3px;
  padding-bottom: 4px;
  padding-left: 5px;
  padding-right: 5px;
}

td.meetingtable-td-speaker {
  display: table-cell;
  vertical-align: top;
  width: 230px;
  padding-top: 3px;
  padding-bottom: 4px;
  padding-left: 5px;
  padding-right: 5px;
}

td.meetingtable-td-date {
  display: table-cell;
  vertical-align: top;
  width: 90px;
  padding-top: 3px;
  padding-bottom: 4px;
  padding-left: 5px;
  padding-right: 5px;
}

td a {
  text-decoration: none;
}

table.resourcelink {
  display: table;
  text-decoration: none;
  color: black;
  background-color: #ffcc66;
  border-style: solid;
  border-color: #cc9933;
  border-top-width: 3px;
  border-right-width: 3px;
  border-bottom-width: 3px;
  border-left-width: 3px;
  padding-left: 0px;
  padding-right: 0px;
  padding-top: 2px;
  padding-bottom: 2px;
  margin-top: 7px;
  margin-bottom: 7px;
  font-weight: normal;
  font-family: "Lucida Grande", Trebuchet, Arial, sans;
  font-size: 1.15em;
  line-height: 1.2em;
}

tr.resourcerow {
  display: table-row;
  border-style: solid;
  border-color: #cc9933;
  border-bottom: 3px;
  border-bottom-color: red;
}

td.resource {
  display: table-cell;
  vertical-align: middle;
  padding-top: 2px;
  padding-bottom: 3px;
  padding-left: 5px;
  padding-right: 5px;
  font-family: "Lucida Grande", "Trebuchet MS", Arial, sans;
  font-size: 1.3em;
  line-height: 1.6em;
}
